=== debian/control ===
Source: electron-29
Section: web
Priority: optional
Maintainer: Eric Long <i@hack3r.moe>
Standards-Version: 4.5.1
Homepage: https://www.electronjs.org
Rules-Requires-Root: no
Vcs-Git: https://github.com/revyos/debian-electron.git
Vcs-Browser: https://github.com/revyos/debian-electron
Build-Depends:
 debhelper-compat (= 13),
 devscripts,
 lld-17,
 clang-17,
 clang-format-17,
 libclang-rt-17-dev,
 rustc (>= 1.70.0+dfsg1-5),
 python3,
 pkg-config,
 ninja-build,
 python3-jinja2,
 python3-pkg-resources,
 ca-certificates,
 elfutils,
 wget,
 flex,
 yasm,
 xvfb,
 wdiff,
 gperf,
 bison,
 nodejs,
 npm,
 rollup,
 unzip,
 valgrind [!riscv64],
 xz-utils,
 x11-apps,
 xcb-proto,
 xfonts-base,
 libx11-xcb-dev,
 libxshmfence-dev,
 libgl-dev,
 libglu1-mesa-dev,
 libegl1-mesa-dev,
 libgles2-mesa-dev,
 libopenh264-dev,
 generate-ninja,
 mesa-common-dev,
 rapidjson-dev,
 libva-dev,
 libxt-dev,
 libgbm-dev,
 libpng-dev,
 libxss-dev,
 libelf-dev,
 libpci-dev,
 libcap-dev,
 libdrm-dev,
 libffi-dev,
 libkrb5-dev,
 libexif-dev,
 libflac-dev,
 libudev-dev,
 libpipewire-0.3-dev,
 libopus-dev,
 libwebp-dev,
 libxtst-dev,
 libjpeg-dev,
 libxml2-dev,
 libgtk-3-dev,
 libxslt1-dev,
 liblcms2-dev,
 libpulse-dev,
 libpam0g-dev,
 libdouble-conversion-dev,
 libxnvctrl-dev,
 libwoff-dev,
 libsnappy-dev,
 libglib2.0-dev,
 libasound2-dev,
 libjsoncpp-dev,
 libsecret-1-dev,
 libspeechd-dev,
 libminizip-dev,
 libhunspell-dev,
 libxcb-dri3-dev,
 libusb-1.0-0-dev,
 libopenjp2-7-dev,
 libmodpbase64-dev,
 libnss3-dev,
 libnspr4-dev,
 libcups2-dev,
 libevent-dev,
 libevdev-dev,
 libgcrypt20-dev,
 libcurl4-openssl-dev,
 fonts-ipafont-gothic,
 fonts-ipafont-mincho,
 libgtest-dev,
 libc-ares-dev,
 libnghttp2-dev,
 libnotify-dev,
 libstdc++-13-dev,
 python3-setuptools,

Package: electron-29
Architecture: any
Multi-Arch: foreign
Description: Build cross platform desktop apps with web technologies
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 x11-utils,
 xdg-utils,
 libgtk-3-0 | xdg-desktop-portal-backend,
